#use appimage

Name:           texstudio
Version:        4.7.3
Release:        %mkrel 1
Summary:     A fork of the LaTeX IDE TexMaker
Group:          Publishing
License:        GPLv3+
URL:            https://github.com/texstudio-org/texstudio/releases/
Source1:   texstudio.desktop
Source2:   texstudio.svg
Requires: latex
#-----------------------------------------------------------------

%description
Texstudio is a fork of the LaTeX IDE TexMaker and gives you an environment where
you can easily create and manage LaTeX documents.  It provides modern writing
support, like interactive spell checking, code folding and syntax highlighting.
Also it serves as a starting point from where you can easily run all necessary
LaTeX tools.

%prep

%build

%install

pushd %{_sourcedir}
wget -nc https://github.com/texstudio-org/texstudio/releases/download/%{version}/texstudio-%{version}-x86_64.AppImage
popd

install -Dm 0755 %{_sourcedir}/texstudio-%{version}-x86_64.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.svg

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.svg
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus
/sbin/ldconfig

%postun
%clean_menus
/sbin/ldconfig

%changelog
* Sat Mar 02 2024 tex - 4.7.3-1pclos2024
- new version

* Mon Dec 25 2023 tex - 4.7.2-1pclos2024
- new version

* Sun Dec 03 2023 tex - 4.7.0-1pclos2023
- new version

* Sat Aug 19 2023 tex - 4.6.3-1pclos2023
- new version

* Sun Jul 30 2023 tex - 4.6.2-1pclos2023
- new version

* Mon Apr 17 2023 tex - 4.5.2-1pclos2023
- new version

* Sun Feb 05 2023 tex - 4.5.1-1pclos2023
- new version

* Mon Nov 28 2022 tex - 4.4.1-1pclos2022
- new version

* Mon Nov 21 2022 tex - 4.4.0-1pclos2022
- new version

* Mon Aug 29 2022 tex - 4.3.1-1pclos2022
- new version

* Mon Aug 22 2022 tex - 4.3.0-1pclos2022
- new version

* Wed Apr 20 2022 tex - 4.2.3-1pclos2022
- new version

* Sun Feb 20 2022 tex - 4.2.2-1pclos2022
- new version

* Sun Dec 19 2021 tex - 4.1.2-2pclos2021
- use appimage
